// SerialCommTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Serial758UI.h"
#include "SerialCommTestDlg.h"
#include "UserDataDlg.h"
#include "GlobalVar.h"
#include "xrapi.h"
#include "WinIoCtl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CSerialCommTestDlg* m_pSerialCommTestDlg;

extern TESTSTRUCT m_ParTest[MAXPORTS];

/////////////////////////////////////////////////////////////////////////////
// CSerialCommTestDlg dialog


CSerialCommTestDlg::CSerialCommTestDlg(CWnd* pParent /*=NULL*/)
	: CScrollDialog(CSerialCommTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSerialCommTestDlg)
	//}}AFX_DATA_INIT
}

void CSerialCommTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CScrollDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSerialCommTestDlg)
	DDX_Control(pDX, IDC_SER8PACKETCNT, m_editPacCount8);
	DDX_Control(pDX, IDC_SER7PACKETCNT, m_editPacCount7);
	DDX_Control(pDX, IDC_SER6PACKETCNT, m_editPacCount6);
	DDX_Control(pDX, IDC_SER5PACKETCNT, m_editPacCount5);
	DDX_Control(pDX, IDC_SER4PACKETCNT, m_editPacCount4);
	DDX_Control(pDX, IDC_SER3PACKETCNT, m_editPacCount3);
	DDX_Control(pDX, IDC_SER2PACKETCNT, m_editPacCount2);
	DDX_Control(pDX, IDC_SER1PACKETCNT, m_editPacCount1);
	DDX_Control(pDX, IDC_DISPEN8, m_checkDisONOFF8);
	DDX_Control(pDX, IDC_DISPEN7, m_checkDisONOFF7);
	DDX_Control(pDX, IDC_DISPEN6, m_checkDisONOFF6);
	DDX_Control(pDX, IDC_DISPEN5, m_checkDisONOFF5);
	DDX_Control(pDX, IDC_DISPEN4, m_checkDisONOFF4);
	DDX_Control(pDX, IDC_DISPEN3, m_checkDisONOFF3);
	DDX_Control(pDX, IDC_DISPEN2, m_checkDisONOFF2);
	DDX_Control(pDX, IDC_DISPEN1, m_checkDisONOFF1);		
	DDX_Control(pDX, IDC_TESTFOREVER8, m_radioForever8);
	DDX_Control(pDX, IDC_TIMERHR8, m_editHrTime8);
	DDX_Control(pDX, IDC_TIMERHR7, m_editHrTime7);
	DDX_Control(pDX, IDC_TIMERHR6, m_editHrTime6);
	DDX_Control(pDX, IDC_TIMERHR5, m_editHrTime5);
	DDX_Control(pDX, IDC_TIMERMIN8, m_editMinTime8);
	DDX_Control(pDX, IDC_TIMERMIN7, m_editMinTime7);
	DDX_Control(pDX, IDC_TIMERMIN6, m_editMinTime6);
	DDX_Control(pDX, IDC_TIMERMIN5, m_editMinTime5);
	DDX_Control(pDX, IDC_TESTFOREVER7, m_radioForever7);
	DDX_Control(pDX, IDC_TESTFOREVER6, m_radioForever6);
	DDX_Control(pDX, IDC_TESTFOREVER5, m_radioForever5);	
	DDX_Control(pDX, IDC_STOPONERROR8, m_radioStopError8);
	DDX_Control(pDX, IDC_STOPONERROR7, m_radioStopError7);
	DDX_Control(pDX, IDC_STOPONERROR6, m_radioStopError6);
	DDX_Control(pDX, IDC_STOPONERR8, m_radioStopTime8);
	DDX_Control(pDX, IDC_STOPONERROR5, m_radioStopError5);
	DDX_Control(pDX, IDC_STOPONERR7, m_radioStopTime7);
	DDX_Control(pDX, IDC_STOPONERR6, m_radioStopTime6);
	DDX_Control(pDX, IDC_STOPONERR5, m_radioStopTime5);
	DDX_Control(pDX, IDC_STOP8, m_buttonStop8);
	DDX_Control(pDX, IDC_STOP7, m_buttonStop7);
	DDX_Control(pDX, IDC_STOP6, m_buttonStop6);
	DDX_Control(pDX, IDC_STOP5, m_buttonStop5);
	DDX_Control(pDX, IDC_RUN8, m_buttonRun8);
	DDX_Control(pDX, IDC_RUN7, m_buttonRun7);
	DDX_Control(pDX, IDC_RUN6, m_buttonRun6);
	DDX_Control(pDX, IDC_RUN5, m_buttonRun5);
	DDX_Control(pDX, IDC_LOOPTEST8, m_checkLoopTest8);
	DDX_Control(pDX, IDC_LOOPTEST7, m_checkLoopTest7);
	DDX_Control(pDX, IDC_LOOPTEST5, m_checkLoopTest5);
	DDX_Control(pDX, IDC_LOOPTEST6, m_checkLoopTest6);
	DDX_Control(pDX, IDC_EBOXTX8, m_editTx8);
	DDX_Control(pDX, IDC_EBOXTX7, m_editTx7);
	DDX_Control(pDX, IDC_EBOXTX6, m_editTx6);
	DDX_Control(pDX, IDC_EBOXTX5, m_editTx5);
	DDX_Control(pDX, IDC_EBOXRX8, m_editRx8);
	DDX_Control(pDX, IDC_EBOXRX7, m_editRx7);
	DDX_Control(pDX, IDC_EBOXRX6, m_editRx6);
	DDX_Control(pDX, IDC_EBOXRX5, m_editRx5);
	DDX_Control(pDX, IDC_TIMERMIN4, m_editMinTime4);
	DDX_Control(pDX, IDC_TIMERHR4, m_editHrTime4);
	DDX_Control(pDX, IDC_STOPONERROR4, m_radioStopError4);
	DDX_Control(pDX, IDC_STOPONERROR3, m_radioStopError3);
	DDX_Control(pDX, IDC_STOPONERR4, m_radioStopTime4);
	DDX_Control(pDX, IDC_STOPONERR3, m_radioStopTime3);
	DDX_Control(pDX, IDC_TESTFOREVER4, m_radioForever4);
	DDX_Control(pDX, IDC_TESTFOREVER3, m_radioForever3);
	DDX_Control(pDX, IDC_TIMERMIN3, m_editMinTime3);
	DDX_Control(pDX, IDC_TIMERHR3, m_editHrTime3);
	DDX_Control(pDX, IDC_STOP4, m_buttonStop4);
	DDX_Control(pDX, IDC_STOP3, m_buttonStop3);
	DDX_Control(pDX, IDC_RUN4, m_buttonRun4);
	DDX_Control(pDX, IDC_RUN3, m_buttonRun3);
	DDX_Control(pDX, IDC_LOOPTEST4, m_checkLoopTest4);
	DDX_Control(pDX, IDC_LOOPTEST3, m_checkLoopTest3);
	DDX_Control(pDX, IDC_EBOXTX4, m_editTx4);
	DDX_Control(pDX, IDC_EBOXTX3, m_editTx3);
	DDX_Control(pDX, IDC_EBOXRX4, m_editRx4);
	DDX_Control(pDX, IDC_EBOXRX3, m_editRx3);
	DDX_Control(pDX, IDC_LOOPTEST2, m_checkLoopTest2);
	DDX_Control(pDX, IDC_TIMERMIN2, m_editMinTime2);
	DDX_Control(pDX, IDC_TIMERHR2, m_editHrTime2);
	DDX_Control(pDX, IDC_TESTFOREVER2, m_radioForever2);
	DDX_Control(pDX, IDC_STOPONERROR2, m_radioStopError2);
	DDX_Control(pDX, IDC_STOPONERR2, m_radioStopTime2);
	DDX_Control(pDX, IDC_STOP2, m_buttonStop2);
	DDX_Control(pDX, IDC_EBOXTX2, m_editTx2);
	DDX_Control(pDX, IDC_EBOXRX2, m_editRx2);
	DDX_Control(pDX, IDC_RUN2, m_buttonRun2);
	DDX_Control(pDX, IDC_TIMERMIN1, m_editMinTime1);
	DDX_Control(pDX, IDC_TIMERHR1, m_editHrTime1);
	DDX_Control(pDX, IDC_TRANSFER8, m_buttonTransfer8);
	DDX_Control(pDX, IDC_TRANSFER7, m_buttonTransfer7);
	DDX_Control(pDX, IDC_TRANSFER6, m_buttonTransfer6);
	DDX_Control(pDX, IDC_TRANSFER5, m_buttonTransfer5);
	DDX_Control(pDX, IDC_TRANSFER4, m_buttonTransfer4);
	DDX_Control(pDX, IDC_TRANSFER3, m_buttonTransfer3);
	DDX_Control(pDX, IDC_TRANSFER2, m_buttonTransfer2);
	DDX_Control(pDX, IDC_EBOXTX1, m_editTx1);
	DDX_Control(pDX, IDC_EBOXRX1, m_editRx1);
	DDX_Control(pDX, IDC_STOPONERROR1, m_radioStopError1);
	DDX_Control(pDX, IDC_STOPONERR1, m_radioStopTime1);
	DDX_Control(pDX, IDC_TESTFOREVER1, m_radioForever1);
	DDX_Control(pDX, IDC_LOOPTEST1, m_checkLoopTest1);
	DDX_Control(pDX, IDC_TRANSFER1, m_buttonTransfer1);
	DDX_Control(pDX, IDC_STOP1, m_buttonStop1);
	DDX_Control(pDX, IDC_RUN1, m_buttonRun1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSerialCommTestDlg, CScrollDialog)
	//{{AFX_MSG_MAP(CSerialCommTestDlg)
	ON_BN_CLICKED(IDC_TRANSFER1, OnTransfer1)
	ON_BN_CLICKED(IDC_STOPONERR1, OnStoponTime1)
	ON_BN_CLICKED(IDC_STOPONERROR1, OnStoponError1)
	ON_BN_CLICKED(IDC_TESTFOREVER1, OnTestForever1)
	ON_BN_CLICKED(IDC_RUN1, OnRun1)
	ON_EN_MAXTEXT(IDC_EBOXTX1, OnMaxtextTx1)
	ON_EN_MAXTEXT(IDC_EBOXRX1, OnMaxtextRx1)
	ON_BN_CLICKED(IDC_TRANSFER2, OnTransfer2)
	ON_BN_CLICKED(IDC_TRANSFER3, OnTransfer3)
	ON_BN_CLICKED(IDC_TRANSFER4, OnTransfer4)
	ON_BN_CLICKED(IDC_TRANSFER5, OnTransfer5)
	ON_BN_CLICKED(IDC_TRANSFER6, OnTransfer6)
	ON_BN_CLICKED(IDC_TRANSFER7, OnTransfer7)
	ON_BN_CLICKED(IDC_TRANSFER8, OnTransfer8)
	ON_BN_CLICKED(IDC_STOP1, OnStop1)
	ON_BN_CLICKED(IDC_RUN2, OnRun2)
	ON_BN_CLICKED(IDC_STOP2, OnStop2)
	ON_EN_MAXTEXT(IDC_EBOXTX2, OnMaxtextTx2)
	ON_EN_MAXTEXT(IDC_EBOXRX2, OnMaxtextRx2)
	ON_EN_MAXTEXT(IDC_EBOXRX3, OnMaxtextRx3)
	ON_EN_MAXTEXT(IDC_EBOXRX4, OnMaxtextRx4)
	ON_EN_MAXTEXT(IDC_EBOXTX3, OnMaxtextTx3)
	ON_EN_MAXTEXT(IDC_EBOXTX4, OnMaxtextTx4)
	ON_BN_CLICKED(IDC_STOP3, OnStop3)
	ON_BN_CLICKED(IDC_STOP4, OnStop4)
	ON_BN_CLICKED(IDC_RUN3, OnRun3)
	ON_BN_CLICKED(IDC_RUN4, OnRun4)
	ON_BN_CLICKED(IDC_STOPONERROR2, OnStoponError2)
	ON_BN_CLICKED(IDC_STOPONERROR3, OnStoponError3)
	ON_BN_CLICKED(IDC_STOPONERROR4, OnStoponError4)
	ON_BN_CLICKED(IDC_STOPONERR2, OnStoponTime2)
	ON_BN_CLICKED(IDC_STOPONERR3, OnStoponTime3)
	ON_BN_CLICKED(IDC_STOPONERR4, OnStoponTime4)
	ON_BN_CLICKED(IDC_TESTFOREVER2, OnTestforever2)
	ON_BN_CLICKED(IDC_TESTFOREVER3, OnTestforever3)
	ON_BN_CLICKED(IDC_TESTFOREVER4, OnTestforever4)
	ON_BN_CLICKED(IDC_RUN5, OnRun5)
	ON_BN_CLICKED(IDC_RUN6, OnRun6)
	ON_BN_CLICKED(IDC_RUN7, OnRun7)
	ON_BN_CLICKED(IDC_RUN8, OnRun8)
	ON_BN_CLICKED(IDC_STOP5, OnStop5)
	ON_BN_CLICKED(IDC_STOP6, OnStop6)
	ON_BN_CLICKED(IDC_STOP7, OnStop7)
	ON_BN_CLICKED(IDC_STOP8, OnStop8)
	ON_BN_CLICKED(IDC_STOPONERROR5, OnStoponError5)
	ON_BN_CLICKED(IDC_STOPONERROR6, OnStoponError6)
	ON_BN_CLICKED(IDC_STOPONERROR7, OnStoponError7)
	ON_BN_CLICKED(IDC_STOPONERROR8, OnStoponError8)
	ON_BN_CLICKED(IDC_TESTFOREVER5, OnTestForever5)
	ON_BN_CLICKED(IDC_TESTFOREVER6, OnTestForever6)
	ON_BN_CLICKED(IDC_TESTFOREVER7, OnTestForever7)
	ON_BN_CLICKED(IDC_TESTFOREVER8, OnTestForever8)
	ON_BN_CLICKED(IDC_STOPONERR5, OnStoponTime5)
	ON_BN_CLICKED(IDC_STOPONERR6, OnStoponTime6)
	ON_BN_CLICKED(IDC_STOPONERR7, OnStoponTime7)
	ON_BN_CLICKED(IDC_STOPONERR8, OnStoponTime8)
	ON_EN_MAXTEXT(IDC_EBOXRX5, OnMaxtextRx5)
	ON_EN_MAXTEXT(IDC_EBOXRX6, OnMaxtextRx6)
	ON_EN_MAXTEXT(IDC_EBOXRX7, OnMaxtextRx7)
	ON_EN_MAXTEXT(IDC_EBOXRX8, OnMaxtextRx8)
	ON_EN_MAXTEXT(IDC_EBOXTX5, OnMaxtextTx5)
	ON_EN_MAXTEXT(IDC_EBOXTX6, OnMaxtextTx6)
	ON_EN_MAXTEXT(IDC_EBOXTX7, OnMaxtextTx7)
	ON_EN_MAXTEXT(IDC_EBOXTX8, OnMaxtextTx8)
	ON_BN_CLICKED(IDC_LOOPTEST1, OnLooptest1)
	ON_BN_CLICKED(IDC_LOOPTEST2, OnLooptest2)
	ON_BN_CLICKED(IDC_LOOPTEST3, OnLooptest3)
	ON_BN_CLICKED(IDC_LOOPTEST4, OnLooptest4)
	ON_BN_CLICKED(IDC_LOOPTEST5, OnLooptest5)
	ON_BN_CLICKED(IDC_LOOPTEST6, OnLooptest6)
	ON_BN_CLICKED(IDC_LOOPTEST7, OnLooptest7)
	ON_BN_CLICKED(IDC_LOOPTEST8, OnLooptest8)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSerialCommTestDlg message handlers

void CSerialCommTestDlg::OnClose() 
{
	//get all the new values so that we can put them in the registry
	//set all the controls with the stored values

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	for(int m=0;m<MAXPORTS;m++)
		if(pApp->m_structPort.bPortOpenFlag[m])//if port is opened successfully
				m_ParTest[m].bTestStop=TRUE;
		
	pApp->m_TestDlg[0].nLoopTest=m_checkLoopTest1.GetCheck();
	pApp->m_TestDlg[0].nDisONOFF=m_checkDisONOFF1.GetCheck();
	pApp->m_TestDlg[0].nStopError=m_radioStopError1.GetCheck();
	pApp->m_TestDlg[0].nStopTime=m_radioStopTime1.GetCheck();
	pApp->m_TestDlg[0].nTestForever=m_radioForever1.GetCheck();
	m_editHrTime1.GetWindowText(pApp->m_TestDlg[0].strHrTime);
	m_editMinTime1.GetWindowText(pApp->m_TestDlg[0].strMinTime);
	
	pApp->m_TestDlg[1].nLoopTest=m_checkLoopTest2.GetCheck();
	pApp->m_TestDlg[1].nDisONOFF=m_checkDisONOFF2.GetCheck();
	pApp->m_TestDlg[1].nStopError=m_radioStopError2.GetCheck();
	pApp->m_TestDlg[1].nStopTime=m_radioStopTime2.GetCheck();
	pApp->m_TestDlg[1].nTestForever=m_radioForever2.GetCheck();
	m_editHrTime2.GetWindowText(pApp->m_TestDlg[1].strHrTime);
	m_editMinTime2.GetWindowText(pApp->m_TestDlg[1].strMinTime);
	
	pApp->m_TestDlg[2].nLoopTest=m_checkLoopTest3.GetCheck();
	pApp->m_TestDlg[2].nDisONOFF=m_checkDisONOFF3.GetCheck();
	pApp->m_TestDlg[2].nStopError=m_radioStopError3.GetCheck();
	pApp->m_TestDlg[2].nStopTime=m_radioStopTime3.GetCheck();
	pApp->m_TestDlg[2].nTestForever=m_radioForever3.GetCheck();
	m_editHrTime3.GetWindowText(pApp->m_TestDlg[2].strHrTime);
	m_editMinTime3.GetWindowText(pApp->m_TestDlg[2].strMinTime);
	

	pApp->m_TestDlg[3].nLoopTest=m_checkLoopTest4.GetCheck();
	pApp->m_TestDlg[3].nDisONOFF=m_checkDisONOFF4.GetCheck();
	pApp->m_TestDlg[3].nStopError=m_radioStopError4.GetCheck();
	pApp->m_TestDlg[3].nStopTime=m_radioStopTime4.GetCheck();
	pApp->m_TestDlg[3].nTestForever=m_radioForever4.GetCheck();
	m_editHrTime4.GetWindowText(pApp->m_TestDlg[3].strHrTime);
	m_editMinTime4.GetWindowText(pApp->m_TestDlg[3].strMinTime);

	pApp->m_TestDlg[4].nLoopTest=m_checkLoopTest5.GetCheck();
	pApp->m_TestDlg[4].nDisONOFF=m_checkDisONOFF5.GetCheck();
	pApp->m_TestDlg[4].nStopError=m_radioStopError5.GetCheck();
	pApp->m_TestDlg[4].nStopTime=m_radioStopTime5.GetCheck();
	pApp->m_TestDlg[4].nTestForever=m_radioForever5.GetCheck();
	m_editHrTime5.GetWindowText(pApp->m_TestDlg[4].strHrTime);
	m_editMinTime5.SetWindowText(pApp->m_TestDlg[4].strMinTime);
	
	pApp->m_TestDlg[5].nLoopTest=m_checkLoopTest6.GetCheck();
	pApp->m_TestDlg[5].nDisONOFF=m_checkDisONOFF6.GetCheck();
	pApp->m_TestDlg[5].nStopError=m_radioStopError6.GetCheck();
	pApp->m_TestDlg[5].nStopTime=m_radioStopTime6.GetCheck();
	pApp->m_TestDlg[5].nTestForever=m_radioForever6.GetCheck();
	m_editHrTime6.GetWindowText(pApp->m_TestDlg[5].strHrTime);
	m_editMinTime6.GetWindowText(pApp->m_TestDlg[5].strMinTime);
	
	pApp->m_TestDlg[6].nLoopTest=m_checkLoopTest7.GetCheck();
	pApp->m_TestDlg[6].nDisONOFF=m_checkDisONOFF7.GetCheck();
	pApp->m_TestDlg[6].nStopError=m_radioStopError7.GetCheck();
	pApp->m_TestDlg[6].nStopTime=m_radioStopTime7.GetCheck();
	pApp->m_TestDlg[6].nTestForever=m_radioForever7.GetCheck();
	m_editHrTime7.GetWindowText(pApp->m_TestDlg[6].strHrTime);
	m_editMinTime7.GetWindowText(pApp->m_TestDlg[6].strMinTime);
	
	pApp->m_TestDlg[7].nLoopTest=m_checkLoopTest8.GetCheck();
	pApp->m_TestDlg[7].nDisONOFF=m_checkDisONOFF8.GetCheck();
	pApp->m_TestDlg[7].nStopError=m_radioStopError8.GetCheck();
	pApp->m_TestDlg[7].nStopTime=m_radioStopTime8.GetCheck();
	pApp->m_TestDlg[7].nTestForever=m_radioForever8.GetCheck();
	m_editHrTime8.GetWindowText(pApp->m_TestDlg[7].strHrTime);
	m_editMinTime8.GetWindowText(pApp->m_TestDlg[7].strMinTime);

	DestroyWindow();	
	
}

void CSerialCommTestDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	
}

void CSerialCommTestDlg::PostNcDestroy() 
{
	DestroyWindow();	
	m_pSerialCommTestDlg=NULL;
	delete this;
	
}

void CSerialCommTestDlg::OnTransfer1() 
{
	//this function is invoked when the user presses the Transfer button of Port1.
	//Data selection dialog is poped up

	CUserDataDlg dlg(1);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
}

BOOL CSerialCommTestDlg::OnInitDialog() 
{
	//SerialCommTestDlg is derived from CScrollDialog
	//all the controls are set to the stored variables

	CScrollDialog::OnInitDialog();

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
		
	m_checkLoopTest1.SetCheck(0);//pApp->m_TestDlg[0].nLoopTest);
	//m_checkDisONOFF1.SetCheck(pApp->m_TestDlg[0].nDisONOFF);
	m_checkDisONOFF1.SetCheck(pApp->m_structPort.bPortOpenFlag[0]);	
	m_radioStopError1.SetCheck(pApp->m_TestDlg[0].nStopError);
	m_radioStopTime1.SetCheck(pApp->m_TestDlg[0].nStopTime);
	m_radioForever1.SetCheck(pApp->m_TestDlg[0].nTestForever);
	m_editHrTime1.SetWindowText(pApp->m_TestDlg[0].strHrTime);
	m_editMinTime1.SetWindowText(pApp->m_TestDlg[0].strMinTime);
	m_editTx1.SetWindowText(pApp->m_TestDlg[0].strTx);
	m_editRx1.SetWindowText(pApp->m_TestDlg[0].strRx);

	m_checkLoopTest2.SetCheck(0);//pApp->m_TestDlg[1].nLoopTest);
	//m_checkDisONOFF2.SetCheck(pApp->m_TestDlg[1].nDisONOFF);
	m_checkDisONOFF2.SetCheck(pApp->m_structPort.bPortOpenFlag[1]);
	m_radioStopError2.SetCheck(pApp->m_TestDlg[1].nStopError);
	m_radioStopTime2.SetCheck(pApp->m_TestDlg[1].nStopTime);
	m_radioForever2.SetCheck(pApp->m_TestDlg[1].nTestForever);
	m_editHrTime2.SetWindowText(pApp->m_TestDlg[1].strHrTime);
	m_editMinTime2.SetWindowText(pApp->m_TestDlg[1].strMinTime);
	m_editTx2.SetWindowText(pApp->m_TestDlg[1].strTx);
	m_editRx2.SetWindowText(pApp->m_TestDlg[1].strRx);

	m_checkLoopTest3.SetCheck(0);//pApp->m_TestDlg[2].nLoopTest);
	//m_checkDisONOFF3.SetCheck(pApp->m_TestDlg[2].nDisONOFF);
	m_checkDisONOFF3.SetCheck(pApp->m_structPort.bPortOpenFlag[2]);
	m_radioStopError3.SetCheck(pApp->m_TestDlg[2].nStopError);
	m_radioStopTime3.SetCheck(pApp->m_TestDlg[2].nStopTime);
	m_radioForever3.SetCheck(pApp->m_TestDlg[2].nTestForever);
	m_editHrTime3.SetWindowText(pApp->m_TestDlg[2].strHrTime);
	m_editMinTime3.SetWindowText(pApp->m_TestDlg[2].strMinTime);
	m_editTx3.SetWindowText(pApp->m_TestDlg[2].strTx);
	m_editRx3.SetWindowText(pApp->m_TestDlg[2].strRx);

	m_checkLoopTest4.SetCheck(0);//pApp->m_TestDlg[3].nLoopTest);
	//m_checkDisONOFF4.SetCheck(pApp->m_TestDlg[3].nDisONOFF);
	m_checkDisONOFF4.SetCheck(pApp->m_structPort.bPortOpenFlag[3]);
	m_radioStopError4.SetCheck(pApp->m_TestDlg[3].nStopError);
	m_radioStopTime4.SetCheck(pApp->m_TestDlg[3].nStopTime);
	m_radioForever4.SetCheck(pApp->m_TestDlg[3].nTestForever);
	m_editHrTime4.SetWindowText(pApp->m_TestDlg[3].strHrTime);
	m_editMinTime4.SetWindowText(pApp->m_TestDlg[3].strMinTime);
	m_editTx4.SetWindowText(pApp->m_TestDlg[3].strTx);
	m_editRx4.SetWindowText(pApp->m_TestDlg[3].strRx);

	m_checkLoopTest5.SetCheck(0);//pApp->m_TestDlg[4].nLoopTest);
	//m_checkDisONOFF5.SetCheck(pApp->m_TestDlg[4].nDisONOFF);
	m_checkDisONOFF5.SetCheck(pApp->m_structPort.bPortOpenFlag[4]);
	m_radioStopError5.SetCheck(pApp->m_TestDlg[4].nStopError);
	m_radioStopTime5.SetCheck(pApp->m_TestDlg[4].nStopTime);
	m_radioForever5.SetCheck(pApp->m_TestDlg[4].nTestForever);
	m_editHrTime5.SetWindowText(pApp->m_TestDlg[4].strHrTime);
	m_editMinTime5.SetWindowText(pApp->m_TestDlg[4].strMinTime);
	m_editTx5.SetWindowText(pApp->m_TestDlg[4].strTx);
	m_editRx5.SetWindowText(pApp->m_TestDlg[4].strRx);

	m_checkLoopTest6.SetCheck(0);//pApp->m_TestDlg[5].nLoopTest);
	//m_checkDisONOFF6.SetCheck(pApp->m_TestDlg[5].nDisONOFF);
	m_checkDisONOFF6.SetCheck(pApp->m_structPort.bPortOpenFlag[5]);
	m_radioStopError6.SetCheck(pApp->m_TestDlg[5].nStopError);
	m_radioStopTime6.SetCheck(pApp->m_TestDlg[5].nStopTime);
	m_radioForever6.SetCheck(pApp->m_TestDlg[5].nTestForever);
	m_editHrTime6.SetWindowText(pApp->m_TestDlg[5].strHrTime);
	m_editMinTime6.SetWindowText(pApp->m_TestDlg[5].strMinTime);
	m_editTx6.SetWindowText(pApp->m_TestDlg[5].strTx);
	m_editRx6.SetWindowText(pApp->m_TestDlg[5].strRx);

	m_checkLoopTest7.SetCheck(0);//pApp->m_TestDlg[6].nLoopTest);
	//m_checkDisONOFF7.SetCheck(pApp->m_TestDlg[6].nDisONOFF);
	m_checkDisONOFF7.SetCheck(pApp->m_structPort.bPortOpenFlag[6]);
	m_radioStopError7.SetCheck(pApp->m_TestDlg[6].nStopError);
	m_radioStopTime7.SetCheck(pApp->m_TestDlg[6].nStopTime);
	m_radioForever7.SetCheck(pApp->m_TestDlg[6].nTestForever);
	m_editHrTime7.SetWindowText(pApp->m_TestDlg[6].strHrTime);
	m_editMinTime7.SetWindowText(pApp->m_TestDlg[6].strMinTime);
	m_editTx7.SetWindowText(pApp->m_TestDlg[6].strTx);
	m_editRx7.SetWindowText(pApp->m_TestDlg[6].strRx);

	m_checkLoopTest8.SetCheck(0);//pApp->m_TestDlg[7].nLoopTest);
	//m_checkDisONOFF8.SetCheck(pApp->m_TestDlg[7].nDisONOFF);
	m_checkDisONOFF8.SetCheck(pApp->m_structPort.bPortOpenFlag[7]);
	m_radioStopError8.SetCheck(pApp->m_TestDlg[7].nStopError);
	m_radioStopTime8.SetCheck(pApp->m_TestDlg[7].nStopTime);
	m_radioForever8.SetCheck(pApp->m_TestDlg[7].nTestForever);
	m_editHrTime8.SetWindowText(pApp->m_TestDlg[7].strHrTime);
	m_editMinTime8.SetWindowText(pApp->m_TestDlg[7].strMinTime);
	m_editTx8.SetWindowText(pApp->m_TestDlg[7].strTx);
	m_editRx8.SetWindowText(pApp->m_TestDlg[7].strRx);

	m_editTx1.SetLimitText(10000);//limit the number of bytes in the edit box to 10000
	m_editRx1.SetLimitText(10000);
	m_editTx2.SetLimitText(10000);
	m_editRx2.SetLimitText(10000);
	m_editTx3.SetLimitText(10000);
	m_editRx3.SetLimitText(10000);
	m_editTx4.SetLimitText(10000);
	m_editRx4.SetLimitText(10000);
	m_editTx5.SetLimitText(10000);
	m_editRx5.SetLimitText(10000);
	m_editTx6.SetLimitText(10000);
	m_editRx6.SetLimitText(10000);
	m_editTx7.SetLimitText(10000);
	m_editRx7.SetLimitText(10000);
	m_editTx8.SetLimitText(10000);
	m_editRx8.SetLimitText(10000);

	m_editPacCount1.SetWindowText("0");//reset the display error
	m_editPacCount2.SetWindowText("0");//reset the display error
	m_editPacCount3.SetWindowText("0");//reset the display error
	m_editPacCount4.SetWindowText("0");//reset the display error
	m_editPacCount5.SetWindowText("0");//reset the display error
	m_editPacCount6.SetWindowText("0");//reset the display error
	m_editPacCount7.SetWindowText("0");//reset the display error
	m_editPacCount8.SetWindowText("0");//reset the display error

	if(pApp->m_TestDlg[0].nStopTime)//if user data radio button is checked
	{
		m_editHrTime1.EnableWindow(TRUE);
		m_editMinTime1.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime1.EnableWindow(FALSE);
		m_editMinTime1.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[1].nStopTime)//if user data radio button is checked
	{
		m_editHrTime2.EnableWindow(TRUE);
		m_editMinTime2.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime2.EnableWindow(FALSE);
		m_editMinTime2.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[2].nStopTime)//if user data radio button is checked
	{
		m_editHrTime3.EnableWindow(TRUE);
		m_editMinTime3.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime3.EnableWindow(FALSE);
		m_editMinTime3.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[3].nStopTime)//if user data radio button is checked
	{
		m_editHrTime4.EnableWindow(TRUE);
		m_editMinTime4.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime4.EnableWindow(FALSE);
		m_editMinTime4.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[4].nStopTime)//if user data radio button is checked
	{
		m_editHrTime5.EnableWindow(TRUE);
		m_editMinTime5.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime5.EnableWindow(FALSE);
		m_editMinTime5.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[5].nStopTime)//if user data radio button is checked
	{
		m_editHrTime6.EnableWindow(TRUE);
		m_editMinTime6.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime6.EnableWindow(FALSE);
		m_editMinTime6.EnableWindow(FALSE);
	}
	
	if(pApp->m_TestDlg[6].nStopTime)//if user data radio button is checked
	{
		m_editHrTime7.EnableWindow(TRUE);
		m_editMinTime7.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime7.EnableWindow(FALSE);
		m_editMinTime7.EnableWindow(FALSE);
	}

	if(pApp->m_TestDlg[7].nStopTime)//if user data radio button is checked
	{
		m_editHrTime8.EnableWindow(TRUE);
		m_editMinTime8.EnableWindow(TRUE);
	}
	else
	{
		m_editHrTime8.EnableWindow(FALSE);
		m_editMinTime8.EnableWindow(FALSE);
	}
	
	m_buttonStop1.EnableWindow(FALSE);
	m_buttonStop2.EnableWindow(FALSE);
	m_buttonStop3.EnableWindow(FALSE);
	m_buttonStop4.EnableWindow(FALSE);
	m_buttonStop5.EnableWindow(FALSE);
	m_buttonStop6.EnableWindow(FALSE);
	m_buttonStop7.EnableWindow(FALSE);
	m_buttonStop8.EnableWindow(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSerialCommTestDlg::OnStoponTime1() 
{
	m_editHrTime1.EnableWindow(TRUE);	
	m_editMinTime1.EnableWindow(TRUE);	
}

void CSerialCommTestDlg::OnStoponError1() 
{
	m_editHrTime1.EnableWindow(FALSE);	
	m_editMinTime1.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestForever1() 
{
	m_editHrTime1.EnableWindow(FALSE);
	m_editMinTime1.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnRun1() 
{
	//when the user presses the Run button of Port1, this function is called.
	
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[0])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[0].bTestRun=TRUE;
		m_Test.OnRun(0);	
	}
}

void CSerialCommTestDlg::OnMaxtextTx1() 
{
	m_editTx1.SetWindowText("");	
}

void CSerialCommTestDlg::OnMaxtextRx1() 
{
	//this function is called when the total number of characters in the Rx1 edit box 
	//reaches 10000 bytes

	m_editRx1.SetWindowText("");	
}

void CSerialCommTestDlg::OnTransfer2() 
{
	//this function is invoked when the user presses the Transfer button of Port2.
	//Data selection dialog is poped up

	CUserDataDlg dlg(2);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer3() 
{
	//this function is invoked when the user presses the Transfer button of Port3
	//Data selection dialog is poped up

	CUserDataDlg dlg(3);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer4() 
{
	//this function is invoked when the user presses the Transfer button of Port4
	//Data selection dialog is poped up

	CUserDataDlg dlg(4);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer5() 
{
	//this function is invoked when the user presses the Transfer button of Port5
	//Data selection dialog is poped up

	CUserDataDlg dlg(5);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer6() 
{
	//this function is invoked when the user presses the Transfer button of Port6
	//Data selection dialog is poped up

	CUserDataDlg dlg(6);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer7() 
{
	//this function is invoked when the user presses the Transfer button of Port7
	//Data selection dialog is poped up

	CUserDataDlg dlg(7);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnTransfer8() 
{
	//this function is invoked when the user presses the Transfer button of Port8
	//Data selection dialog is poped up

	CUserDataDlg dlg(8);
	CString StrdlgError;
	StrdlgError = "Unable to Open User Defined Data Dialog";
	int nRet=dlg.DoModal();// creating the  dialog box
	if((nRet == IDABORT)||(nRet==(-1)))// if the function fails
		AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);
	
}

void CSerialCommTestDlg::OnStop1() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(0);
}

void CSerialCommTestDlg::OnRun2() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[1])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[1].bTestRun=TRUE;
		m_Test.OnRun(1);	
	}
}

void CSerialCommTestDlg::OnStop2() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(1);	
	
}

void CSerialCommTestDlg::OnMaxtextTx2() 
{
	m_editTx2.SetWindowText("");		
}

void CSerialCommTestDlg::OnMaxtextRx2() 
{
	m_editRx2.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextRx3() 
{
	m_editRx3.SetWindowText("");
	
}

void CSerialCommTestDlg::OnMaxtextRx4() 
{
	m_editRx4.SetWindowText("");
	
}

void CSerialCommTestDlg::OnMaxtextTx3() 
{
	m_editTx3.SetWindowText("");
	
}

void CSerialCommTestDlg::OnMaxtextTx4() 
{
	m_editTx4.SetWindowText("");
	
}

void CSerialCommTestDlg::OnStop3() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(2);	
}

void CSerialCommTestDlg::OnStop4() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(3);	
}

void CSerialCommTestDlg::OnRun3() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[2])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[2].bTestRun=TRUE;
		m_Test.OnRun(2);
	}
}

void CSerialCommTestDlg::OnRun4() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	
	if(pApp->m_structPort.bPortOpenFlag[3])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;	
		m_ParTest[3].bTestRun=TRUE;
		m_Test.OnRun(3);	
	}
}

void CSerialCommTestDlg::OnStoponError2() 
{
	m_editHrTime2.EnableWindow(FALSE);	
	m_editMinTime2.EnableWindow(FALSE);	
}

void CSerialCommTestDlg::OnStoponError3() 
{
	m_editHrTime3.EnableWindow(FALSE);	
	m_editMinTime3.EnableWindow(FALSE);
}

void CSerialCommTestDlg::OnStoponError4() 
{
	m_editHrTime4.EnableWindow(FALSE);	
	m_editMinTime4.EnableWindow(FALSE);
}

void CSerialCommTestDlg::OnStoponTime2() 
{
	m_editHrTime2.EnableWindow(TRUE);	
	m_editMinTime2.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnStoponTime3() 
{
	m_editHrTime3.EnableWindow(TRUE);	
	m_editMinTime3.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnStoponTime4() 
{
	m_editHrTime4.EnableWindow(TRUE);	
	m_editMinTime4.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnTestforever2() 
{
	m_editHrTime2.EnableWindow(FALSE);
	m_editMinTime2.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestforever3() 
{
	m_editHrTime3.EnableWindow(FALSE);
	m_editMinTime3.EnableWindow(FALSE);	
}

void CSerialCommTestDlg::OnTestforever4() 
{
	m_editHrTime4.EnableWindow(FALSE);
	m_editMinTime4.EnableWindow(FALSE);	
}

void CSerialCommTestDlg::OnRun5() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[4])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[4].bTestRun=TRUE;
		m_Test.OnRun(4);
	}

}

void CSerialCommTestDlg::OnRun6() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[5])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[5].bTestRun=TRUE;
		m_Test.OnRun(5);
	}
}

void CSerialCommTestDlg::OnRun7() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(pApp->m_structPort.bPortOpenFlag[6])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[6].bTestRun=TRUE;
		m_Test.OnRun(6);
	}
}

void CSerialCommTestDlg::OnRun8() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	
	if(pApp->m_structPort.bPortOpenFlag[7])//if the port represented by m_nPortNo was opened successfully
	{
		pApp->m_nRunCount++;
		m_ParTest[7].bTestRun=TRUE;
		m_Test.OnRun(7);	
	}
}

void CSerialCommTestDlg::OnStop5() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(4);	
}

void CSerialCommTestDlg::OnStop6() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(5);	
}

void CSerialCommTestDlg::OnStop7() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(6);	
}

void CSerialCommTestDlg::OnStop8() 
{
	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();
	pApp->m_nRunCount--;
	m_Test.OnStop(7);	
}

void CSerialCommTestDlg::OnStoponError5() 
{
	m_editHrTime5.EnableWindow(FALSE);	
	m_editMinTime5.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnStoponError6() 
{
	m_editHrTime6.EnableWindow(FALSE);	
	m_editMinTime6.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnStoponError7() 
{
	m_editHrTime7.EnableWindow(FALSE);	
	m_editMinTime7.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnStoponError8() 
{
	m_editHrTime8.EnableWindow(FALSE);	
	m_editMinTime8.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestForever5() 
{
	m_editHrTime5.EnableWindow(FALSE);
	m_editMinTime5.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestForever6() 
{
	m_editHrTime6.EnableWindow(FALSE);
	m_editMinTime6.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestForever7() 
{
	m_editHrTime7.EnableWindow(FALSE);
	m_editMinTime7.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnTestForever8() 
{
	m_editHrTime8.EnableWindow(FALSE);
	m_editMinTime8.EnableWindow(FALSE);
	
}

void CSerialCommTestDlg::OnStoponTime5() 
{
	m_editHrTime5.EnableWindow(TRUE);	
	m_editMinTime5.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnStoponTime6() 
{
	m_editHrTime6.EnableWindow(TRUE);	
	m_editMinTime6.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnStoponTime7() 
{
	m_editHrTime7.EnableWindow(TRUE);	
	m_editMinTime7.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnStoponTime8() 
{
	m_editHrTime8.EnableWindow(TRUE);	
	m_editMinTime8.EnableWindow(TRUE);	
	
}

void CSerialCommTestDlg::OnMaxtextRx5() 
{
	m_editRx5.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextRx6() 
{
	m_editRx6.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextRx7() 
{
	m_editRx7.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextRx8() 
{
	m_editRx8.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextTx5() 
{
	m_editTx5.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextTx6() 
{
	m_editTx6.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextTx7() 
{
	m_editTx7.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnMaxtextTx8() 
{
	m_editTx8.SetWindowText("");	
	
}

void CSerialCommTestDlg::OnLooptest1() //this is for the first port
{
//	COM_PORT_RW rwparm;
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest1.GetCheck())//if the check box is checked
		pApp->m_TestDlg[0].nLoopTest=1;
	else
		pApp->m_TestDlg[0].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[0].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[0],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 0";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}

#if 0
	rwparm.RegAddr = 0x4;
	rwparm.AndVal = 0xef;
	rwparm.OrVal =  (pApp->m_TestDlg[0].nLoopTest) ? 0x10 : 0x00;
	rwparm.rw = 0x01;
	rwparm.ReadVal = 0x55;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[0],
		(DWORD) IOCTL_XRPORT_RW,
		&rwparm,
		sizeof(COM_PORT_RW),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 0";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
#endif
}

void CSerialCommTestDlg::OnLooptest2() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest2.GetCheck())//if the check box is checked
		pApp->m_TestDlg[1].nLoopTest=1;
	else
		pApp->m_TestDlg[1].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[1].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[1],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 1";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest3() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest3.GetCheck())//if the check box is checked
		pApp->m_TestDlg[2].nLoopTest=1;
	else
		pApp->m_TestDlg[2].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[2].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[2],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 2";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest4() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest4.GetCheck())//if the check box is checked
		pApp->m_TestDlg[3].nLoopTest=1;
	else
		pApp->m_TestDlg[3].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[3].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[3],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 3";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest5() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest5.GetCheck())//if the check box is checked
		pApp->m_TestDlg[4].nLoopTest=1;
	else
		pApp->m_TestDlg[4].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[4].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[4],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 4";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest6() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest6.GetCheck())//if the check box is checked
		pApp->m_TestDlg[5].nLoopTest=1;
	else
		pApp->m_TestDlg[5].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[5].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[5],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 5";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest7() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest7.GetCheck())//if the check box is checked
		pApp->m_TestDlg[6].nLoopTest=1;
	else
		pApp->m_TestDlg[6].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[6].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[6],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 6";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}

void CSerialCommTestDlg::OnLooptest8() 
{
	COM_PORT_ENHANCED enTemp;
    DWORD  cbReturned;

	CSerial758UIApp* pApp=(CSerial758UIApp*)AfxGetApp();

	if(m_checkLoopTest8.GetCheck())//if the check box is checked
		pApp->m_TestDlg[7].nLoopTest=1;
	else
		pApp->m_TestDlg[7].nLoopTest=0;

	enTemp.LoopBack = (pApp->m_TestDlg[7].nLoopTest) ? 0x10 : 0x00;
	if (!DeviceIoControl( pApp->m_structPort.hPortHandle[7],
		(DWORD) IOCTL_XRPORT_SET_LOOP,
		&enTemp,
		sizeof(COM_PORT_ENHANCED),
		NULL,
		0,
		&cbReturned,
		0
		))
	{
			CString StrdlgError;
			StrdlgError = "Unable to set/reset Local LoopBack on port 7";
			AfxGetMainWnd()->MessageBox(StrdlgError,"Error",MB_OK|MB_ICONEXCLAMATION);		
	}
}
